Bug 1061857 (CVE-2014-0044) - CVE-2014-0044 mumble: NULL pointer dereference leads to denial of service
Summary: CVE-2014-0044 mumble: NULL pointer dereference leads to denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0044
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140205,repor...
Depends On: 1061859
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-05 18:40 UTC by Vincent Danen
Modified: 2019-06-08 19:54 UTC (History)
3 users (show)

Fixed In Version: mumble 1.2.5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-12 22:31:27 UTC


Attachments (Terms of Use)

Description Vincent Danen 2014-02-05 18:40:56 UTC
A denial of service flaw was reported [1] in Mumble:

A malformed Opus voice packet sent to a Mumble client could trigger a NULL pointer dereference or an out-of-bounds array access, leading to a crash (Denial of Service).

This can be triggered remotely by an entity participating in a Mumble voice chat.

This has been corrected in upstream version 1.2.5 [2].

[1] http://mumble.info/security/Mumble-SA-2014-001.txt
[2] https://github.com/mumble-voip/mumble/commit/850649234d11685145193a59d72d98429e4f9ba7

Comment 1 Vincent Danen 2014-02-05 18:45:52 UTC
Created mumble tracking bugs for this issue:

Affects: fedora-all [bug 1061859]

Comment 2 Fedora Update System 2014-05-08 10:01:21 UTC
mumble-1.2.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-05-08 10:02:54 UTC
mumble-1.2.5-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.